# python-packaging-tests

Notes on how to write tests for python packages.

The python-packaging readthedocs page contains a page on
[command line scripts](https://python-packaging.readthedocs.io/en/latest/command-line-scripts.html)
that touches on how to write tests for a python command line 
utility.


## Writing Tests

There are a couple of scenarios covered here:

* [Writing Tests for Command Line Utilities](CommandLine.md)

* [Writing Tests for Importable Python Modules](Importable.md)

* Writing Tests 


## Running Tests

* Running Tests Manually

* Running Tests with Travis

* Running Tests with Circle CI

* Running Tests that Require Secrets 


